#ifndef _LIN_ALGEBRA_H_
#define _LIN_ALGEBRA_H_

#include "types.h"

pyReal vecScalarProduct(const pyWord size, const pyReal * a, const pyReal * b);
pyReal vecNorm(const pyWord size, const pyReal * a);
pyReal vecDistSquared(const pyWord size, const pyReal * a, const pyReal * b);
void vecSubst(const pyWord size, pyReal * dst, const pyReal * a, const pyReal * b );


#endif
